summaryrefslogtreecommitdiffstats
path: root/source/n/php
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/n/php
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/php')
-rw-r--r--source/n/php/doinst.sh7
-rwxr-xr-xsource/n/php/fetch-php.sh3
-rw-r--r--source/n/php/mod_php.conf.example2
-rw-r--r--source/n/php/php-fpm.conf.diff21
-rwxr-xr-xsource/n/php/php.SlackBuild42
-rw-r--r--source/n/php/php.ini-development.diff101
-rw-r--r--source/n/php/slack-desc10
7 files changed, 94 insertions, 92 deletions
diff --git a/source/n/php/doinst.sh b/source/n/php/doinst.sh
index a6f584ed3..cd084784e 100644
--- a/source/n/php/doinst.sh
+++ b/source/n/php/doinst.sh
@@ -1,7 +1,5 @@
-if [ ! -r etc/httpd/mod_php.conf ]; then
- cp -a etc/httpd/mod_php.conf.example etc/httpd/mod_php.conf
-elif [ "`cat etc/httpd/mod_php.conf 2> /dev/null`" = "" ]; then
- cp -a etc/httpd/mod_php.conf.example etc/httpd/mod_php.conf
+if [ "`cat etc/httpd/mod_php.conf 2> /dev/null`" = "" ]; then
+ cp -a etc/httpd/mod_php.conf.new etc/httpd/mod_php.conf
fi
config() {
@@ -28,3 +26,4 @@ cp -a etc/php-fpm.conf.default etc/php-fpm.conf.new
config etc/php-fpm.conf.new
cp -a etc/php-fpm.conf.default etc/php-fpm.conf.new
config etc/php-fpm.conf.new
+config etc/httpd/mod_php.conf.new
diff --git a/source/n/php/fetch-php.sh b/source/n/php/fetch-php.sh
index a44015edf..23c47ac18 100755
--- a/source/n/php/fetch-php.sh
+++ b/source/n/php/fetch-php.sh
@@ -1 +1,2 @@
-lftpget http://us.php.net/distributions/php-5.6.23.tar.xz
+lftpget http://us.php.net/distributions/php-7.2.6.tar.xz.asc
+lftpget http://us.php.net/distributions/php-7.2.6.tar.xz
diff --git a/source/n/php/mod_php.conf.example b/source/n/php/mod_php.conf.example
index 670eb7135..d8f96eb09 100644
--- a/source/n/php/mod_php.conf.example
+++ b/source/n/php/mod_php.conf.example
@@ -3,7 +3,7 @@
#
# Load the PHP module:
-LoadModule php5_module lib/httpd/modules/libphp5.so
+LoadModule php7_module lib/httpd/modules/libphp7.so
# Tell Apache to feed all *.php files through PHP. If you'd like to
# parse PHP embedded in files with different extensions, comment out
diff --git a/source/n/php/php-fpm.conf.diff b/source/n/php/php-fpm.conf.diff
index 38d0f9c6e..03b0f5033 100644
--- a/source/n/php/php-fpm.conf.diff
+++ b/source/n/php/php-fpm.conf.diff
@@ -1,28 +1,19 @@
---- ./sapi/fpm/php-fpm.conf.in.orig 2012-05-20 19:47:53.000000000 +0200
-+++ ./sapi/fpm/php-fpm.conf.in 2012-05-21 09:16:32.646276661 +0200
-@@ -12,7 +12,7 @@
- ; Relative path can also be used. They will be prefixed by:
- ; - the global prefix if it's been set (-p arguement)
- ; - @prefix@ otherwise
--;include=etc/fpm.d/*.conf
-+;include=etc/php-fpm.d/*.conf
-
- ;;;;;;;;;;;;;;;;;;
- ; Global Options ;
-@@ -22,14 +22,14 @@
+--- ./sapi/fpm/php-fpm.conf.in.orig 2017-11-21 21:02:19.000000000 -0600
++++ ./sapi/fpm/php-fpm.conf.in 2017-11-27 20:07:58.533458347 -0600
+@@ -14,14 +14,14 @@
; Pid file
; Note: the default prefix is @EXPANDED_LOCALSTATEDIR@
; Default Value: none
-;pid = run/php-fpm.pid
+pid = run/php-fpm.pid
-
+
; Error log file
; If it's set to "syslog", log is sent to syslogd instead of being written
- ; in a local file.
+ ; into a local file.
; Note: the default prefix is @EXPANDED_LOCALSTATEDIR@
; Default Value: log/php-fpm.log
-;error_log = log/php-fpm.log
+error_log = log/php-fpm.log
-
+
; syslog_facility is used to specify what type of program is logging the
; message. This lets syslogd specify that messages from different facilities
diff --git a/source/n/php/php.SlackBuild b/source/n/php/php.SlackBuild
index 2e8748ce9..f7d80825e 100755
--- a/source/n/php/php.SlackBuild
+++ b/source/n/php/php.SlackBuild
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
# Build and package mod_php on Slackware.
# by: David Cantrell <david@slackware.com>
# Modified for PHP 4-5 by volkerdi@slackware.com
-# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=php
VERSION=${VERSION:-$(echo php-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-ALPINE=2.20
+ALPINE=2.21
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -38,9 +40,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-php/
rm -rf $PKG
@@ -73,7 +82,7 @@ if [ -r $IMAPLIBDIR/lib${LIBDIRSUFFIX}/c-client.a ]; then
ls -l $IMAPLIBDIR/lib${LIBDIRSUFFIX}/c-client.a
sleep 5
else
- ( cd $CWD/../alpine ; ./alpine.SlackBuild || exit 1 ) || exit 1
+ ( cd $CWD/../alpine ; VERSION=${ALPINE} ; ./alpine.SlackBuild || exit 1 ) || exit 1
( cd $TMP/alpine-${ALPINE}/imap/c-client
strip -g c-client.a
mkdir -p $IMAPLIBDIR/lib${LIBDIRSUFFIX}
@@ -95,8 +104,8 @@ fi
cd $TMP
rm -rf php-$VERSION
-tar xvf $CWD/php-$VERSION.tar.?z* || exit 1
-cd php-$VERSION
+tar xvf $CWD/php-$VERSION.tar.xz || exit 1
+cd php-$VERSION || exit 1
# cleanup:
find . -name "*.orig" -delete
@@ -136,10 +145,15 @@ zcat $CWD/php-fpm.conf.diff.gz | patch -p1 --verbose || exit 1
sed -i "s|build$|php/build|" scripts/Makefile.frag
sed -i "s|build\"$|php/build\"|" scripts/phpize.in
+# NOTE: Added -DU_USING_ICU_NAMESPACE=1 to CXXFLAGS, which should be a temporary
+# requirement. See the link below:
+# http://site.icu-project.org/download/61#TOC-Migration-Issues
+
# Generic "kitchen sink" configure function, with as many things as possible (and
# maybe then some ;-) compiled as shared extensions:
EXTENSION_DIR=/usr/lib${LIBDIRSUFFIX}/php/extensions \
CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS -DU_USING_ICU_NAMESPACE=1" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -160,11 +174,11 @@ CFLAGS="$SLKCFLAGS" \
--enable-tokenizer=shared \
--with-config-file-scan-dir=/etc/php.d \
--with-config-file-path=/etc \
- --enable-mod_charset \
--with-layout=PHP \
--disable-sigchild \
--enable-xml \
--with-libxml-dir=/usr \
+ --with-xmlrpc=shared \
--enable-simplexml \
--enable-xmlreader=shared \
--enable-dom=shared \
@@ -178,7 +192,6 @@ CFLAGS="$SLKCFLAGS" \
--enable-calendar=shared \
--enable-ctype=shared \
--with-curl=shared \
- --with-mcrypt=/usr \
--enable-dba=shared \
--with-gdbm=/usr \
--with-db4=/usr \
@@ -187,12 +200,9 @@ CFLAGS="$SLKCFLAGS" \
--with-gd=shared \
--with-jpeg-dir=/usr \
--with-png-dir=/usr \
- --with-vpx-dir=/usr \
--with-zlib-dir=/usr \
--with-xpm-dir=/usr \
--with-freetype-dir=/usr \
- --with-t1lib=/usr \
- --enable-gd-native-ttf \
--with-gettext=shared,/usr \
--with-gmp=shared,/usr \
--with-iconv=shared \
@@ -201,7 +211,7 @@ CFLAGS="$SLKCFLAGS" \
--with-ldap=shared \
--enable-mbstring=shared \
--enable-hash \
- --with-mysql=shared,mysqlnd \
+ --enable-mysqlnd=shared \
--with-mysqli=shared,mysqlnd \
--with-mysql-sock=/var/run/mysql/mysql.sock \
--with-iodbc=shared,/usr \
@@ -216,7 +226,6 @@ CFLAGS="$SLKCFLAGS" \
--enable-soap=shared \
--enable-sockets \
--with-sqlite3=shared \
- --with-regex=php \
--enable-sysvmsg \
--enable-sysvsem \
--enable-sysvshm \
@@ -231,7 +240,8 @@ CFLAGS="$SLKCFLAGS" \
--with-gnu-ld \
--with-pic \
--enable-phpdbg \
- --build=$ARCH-slackware-linux
+ --with-sodium \
+ --build=$ARCH-slackware-linux || exit 1
# I am told this option is worse than nothing. :-)
# --enable-safe-mode
@@ -276,7 +286,7 @@ chmod 644 $PKG/usr/doc/php-$VERSION/UPGRADING*
mkdir -p $PKG/etc/httpd
cat $CWD/mod_php.conf.example | sed -e "s#lib/httpd#lib${LIBDIRSUFFIX}/httpd#" \
- > $PKG/etc/httpd/mod_php.conf.example
+ > $PKG/etc/httpd/mod_php.conf.new
chmod 644 $PKG/etc/httpd/*
chown root:root $PKG/etc/httpd/*
diff --git a/source/n/php/php.ini-development.diff b/source/n/php/php.ini-development.diff
index ffa7c0c9d..2e8d6aa58 100644
--- a/source/n/php/php.ini-development.diff
+++ b/source/n/php/php.ini-development.diff
@@ -1,61 +1,62 @@
---- ./php.ini-development.orig 2012-07-18 01:19:16.000000000 -0500
-+++ ./php.ini-development 2012-08-08 20:06:33.512546116 -0500
-@@ -859,6 +859,49 @@
- ; If you only provide the name of the extension, PHP will look for it in its
- ; default extension directory.
- ;
+--- ./php.ini-development.orig 2017-11-28 03:23:05.000000000 -0600
++++ ./php.ini-development 2017-12-01 23:08:13.986123496 -0600
+@@ -875,7 +875,50 @@
+ ; 'extension='php_<ext>.dll') is supported for legacy reasons and may be
+ ; deprecated in a future PHP major version. So, when it is possible, please
+ ; move to the new ('extension=<ext>) syntax.
+
+; These are the extensions that are available for use on this PHP build.
+; If you do NOT need any of these extensions, you should comment them out.
+; That will probably increase both your security and performance.
+ ;
++extension=bcmath
++extension=bz2
++extension=calendar
++extension=ctype
++extension=curl
++extension=dba
++extension=dom
++extension=enchant
++extension=exif
++extension=ftp
++extension=gd
++extension=gettext
++extension=gmp
++extension=iconv
++extension=intl
++extension=ldap
++extension=mbstring
++extension=mysqlnd
++extension=mysqli
++extension=odbc
++extension=openssl
++zend_extension=opcache
++extension=pdo
++extension=pdo_mysql
++extension=pdo_sqlite
++extension=pdo_odbc
++extension=pspell
++extension=shmop
++extension=snmp
++extension=soap
++extension=sqlite3
++extension=tokenizer
++extension=wddx
++extension=xmlreader
++extension=xmlrpc
++extension=xsl
++extension=zip
++extension=zlib
+
-+extension=bcmath.so
-+extension=bz2.so
-+extension=calendar.so
-+extension=ctype.so
-+extension=curl.so
-+extension=dba.so
-+extension=dom.so
-+extension=enchant.so
-+extension=exif.so
-+extension=ftp.so
-+extension=gd.so
-+extension=gettext.so
-+extension=gmp.so
-+extension=iconv.so
-+extension=intl.so
-+extension=ldap.so
-+extension=mbstring.so
-+extension=mysql.so
-+extension=mysqli.so
-+extension=odbc.so
-+extension=openssl.so
-+zend_extension=opcache.so
-+extension=pdo.so
-+extension=pdo_mysql.so
-+extension=pdo_sqlite.so
-+extension=pdo_odbc.so
-+extension=pspell.so
-+extension=shmop.so
-+extension=snmp.so
-+extension=soap.so
-+extension=sqlite3.so
-+extension=tokenizer.so
-+extension=wddx.so
-+extension=xmlreader.so
-+extension=xsl.so
-+extension=zip.so
-+extension=zlib.so
-+
- ; Windows Extensions
- ; Note that ODBC support is built in, so no dll is needed for it.
- ; Note that many DLL files are located in the extensions/ (PHP 4) ext/ (PHP 5)
-@@ -1391,7 +1431,7 @@
+ ; Notes for Windows environments :
+ ;
+ ; - ODBC support is built in, so no dll is needed for it.
+@@ -1341,7 +1384,7 @@
; where MODE is the octal representation of the mode. Note that this
; does not overwrite the process's umask.
; http://php.net/session.save-path
-;session.save_path = "/tmp"
+session.save_path = "/var/lib/php"
- ; Whether to use cookies.
- ; http://php.net/session.use-cookies
+ ; Whether to use strict session mode.
+ ; Strict session mode does not accept uninitialized session ID and regenerate
diff --git a/source/n/php/slack-desc b/source/n/php/slack-desc
index fe14da6d6..15d109aaf 100644
--- a/source/n/php/slack-desc
+++ b/source/n/php/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
php: php (HTML-embedded scripting language)
php:
-php: PHP is an HTML-embedded scripting language. It shares syntax
-php: characteristics with C, Java, and Perl. The primary objective behind
+php: PHP is an HTML-embedded scripting language. It shares syntax
+php: characteristics with C, Java, and Perl. The primary objective behind
php: this language is to make a fast and easy-to-use scripting language
php: for dynamic web sites.
php: